Goods receiving

A goods receiving document is created in the inventory ordering process. When a purchase order has been placed it can be received by creating a goods receiving document stating which items and in which quantity was received from the vendor. When the goods receiving document is posted then the on-hand inventory status of the ordered items is updated. The goods receiving document is a confirmation that physical goods were received in accordance with the purchase order.

The goods-receiving endpoint in LS One API allows management of existing goods receiving documents and creation of such documents from existing purchase orders.

Actions

GET 

Get goods receiving
GET  Get all goods receivings

POST 

Search goods receivings

POST 

Create a new goods receiving

PUT 

Update an existing goods receiving

DELETE 

Delete a goods receiving
GET  Get goods receiving line

GET 

Get all lines of the goods receiving document

POST 

Search goods receiving document lines

POST 

Create a new goods receiving document line

PUT 

Update an existing goods receiving document line

DELETE 

Delete a goods receiving document line

POST 

Post all lines for a goods receiving document

POST 

Post a line for a goods receiving document

Properties

GoodsReceiving

Field Data type Validation Description
id string

Required

Unique identifier of the goods receiving document
goodsReceivingID string Required Currently goods receiving documents and purchase orders share ids
purchaseOrderID string

Required

Purchase order unique identifier to which this goods receiving document is attached to
status enum

-

Current status of the goods receiving document:

  • 0 - active

  • 1 - posted

vendorID string

Required

Identifier for the vendor that is sending the goods
vendorName string

-

Name of the vendor that is sending the goods
storeID string

Required

For what store is the purchase order and goods receiving document is for
storeName string

-

Name of the store for who's purchase order and goods receiving document is
description string

-

Description on the purchase order that the goods receiving document is attached to
ordered decimal

-

Total number of ordered items on the purchase order
received decimal

-

Total number of received items on the goods receiving document
createdDate datetime

-

Date when the goods receiving document was created
postedDate datetime

-

Date when the goods receiving document was posted
statusText string

-

Translated text of the goods receiving document status (for display purposes)
totalQuantity decimal

-

Total quantity of all lines in the document. Displayed in mobile inventory.
numberOfLines int

-

Total number of lines in the document. Displayed in mobile inventory.

GoodsReceivingLine

Field Data type Validation Description
id string

-

Unique identifier for goods receiving line
goodsReceivingDocumentID string

Required

Good receiving document unique identifier to which this good receiving document line belongs to
purchaseOrderLineNumber string

Required

On what purchase order line number the goods receiving document is attached to
lineNumber string

-

A line number that helps identify the goods receiving line
storeID string

Required

For what store is the goods receiving document line
storeName string

-

Name of the store for who's this goods receiving line is
purchaseOrderID string

Required

On what purchase order is the goods receiving line attached to
receivedQuantity decimal

-

Quantity received from the purchase order
receivedDate datetime

-

Date when the receiving was made
posted boolean

-

Status of the line:

  • true - posted

  • false - unposted

Examples

Get goods receiving document

Returns details of a single goods receiving document.

GET /api/inventory/goods-receiving/{id}

Permissions

  • GoodsReceiving:Read

For more information on authenticating to LS One APIs, see Authentication.

Request

curl -X 'GET' \
'https://lsoneapi.lsretail.com/api/inventory/goods-receiving/00000001' \
-H 'accept: text/plain' \
-H 'Authorization: Bearer {authentication_token}'		
Parameter Data type Validation Description
id string

Required

Unique identifier of the goods receiving item

Response

{
    "id": "00000001",
    "goodsReceivingID": "00000001",
    "purchaseOrderID": "00000001",
    "status": 0,
    "vendorID": "0000001",
    "vendorName": "Fashion House",
    "storeID": "S0003",
    "storeName": "Aurora Fashion Store North",
    "description": "Test purchare order",
    "ordered": 0,
    "received": 0,
    "createdDate": "2021-11-12T09:58:32.217",
    "postedDate": "1900-01-01T00:00:00",
    "statusText": "Open",
    "totalQuantity": 0,
    "numberOfLines": 0
}		

Status codes

Code Text Description
200 Success Success
401 Unauthorized LS One API client did not provide a valid authentication token or it does not have permissions to read goods receiving(s)
404 Not Found The requested goods receiving was not found

Get all goods receiving documents

Returns an object that contains a list of goods receivings and the total number of records that can be used for pagination.

GET /api/inventory/goods-receiving?page={page_number}&pageSize={page_size}

Permissions

  • GoodsReceiving:Read

For more information on authenticating to LS One APIs, see Authentication.

Request

curl -X 'GET' \
  'https://lsoneapi.lsretail.com/api/inventory/goods-receiving?page=1&pageSize=50' \
  -H 'accept: text/plain' \
 -H 'Authorization: Bearer {authentication_token}'
Parameter Data type Validation Description
page int

-

The page number. Default value = 1.
pageSize int

-

The page size. Default value = 100.

Response

{
"items": [
	{
		"id": "00000001",
		"goodsReceivingID": "00000001",
		"purchaseOrderID": "00000001",
		"status": 0,
		"vendorID": "0000001",
		"vendorName": "Fashion House",
		"storeID": "S0003",
		"storeName": "Aurora Fashion Store North",
		"description": "Test purchare order",
		"ordered": 0,
		"received": 0,
		"createdDate": "2021-11-12T09:58:32.217",
		"postedDate": "1900-01-01T00:00:00",
		"statusText": "Open",
		"totalQuantity": 0,
		"numberOfLines": 0
	},
	{
		"id": "00000002",
		"goodsReceivingID": "00000002",
		"purchaseOrderID": "00000002",
		"status": 0,
		"vendorID": "0000002",
		"vendorName": "Grocery Barn",
		"storeID": "S0001",
		"storeName": "Aurora Supermarket",
		"description": "Soda PR",
		"ordered": 0,
		"received": 0,
		"createdDate": "2021-11-12T18:26:35.41",
		"postedDate": "1900-01-01T00:00:00",
		"statusText": "Open",
		"totalQuantity": 0,
		"numberOfLines": 0
	},
	...
	],
"totalCount": 10
}

Status codes

Code Text Description
200 Success Success
401 Unauthorized LS One API client did not provide a valid authentication token or it does not have permissions to read goods receiving(s)
404 Not Found No goods receivings found

Search good receiving documents

Returns an object that contains a subset of searched good receiving documents and the total number of records that can be used for pagination.

POST /api/inventory/goods-receiving/search?page={page_number}&pageSize={page_size}

Good receiving documents can be searched using a filter object that has the following properties:

Filter properties

Field Data type Validation Description
documentID string - Search items by id
purchaseOrderID string - Search by the purchase order id of the good receiving document
description string[] - Search by description of the item
vendorID string - Search items by vendor id
storeID string - Search by the store the good receiving document is for
sortBy int -

Sort result items by criteria:

  • 0 - goodsReceivingID

  • 1 - status

  • 2 - VendorName

status int -

Search by a Goods receiving document status:

  • 0 - active

  • 1 - posted

descriptionBeginsWith boolean - Search for good receiving documents that description starts with the given value
sortBackwards boolean - Sort result items backwards
createdFrom DateTime - Search goods receiving documents that where created starting from given value
createdTo DateTime - Search goods receiving documents that where created until given value
postedFrom DateTime - Search goods receiving documents that where posted starting from given value
postedTo DateTime - Search goods receiving documents that where posted until given value
includeLineTotals boolean - If the results should contain the total quantity of all lines and total number of lines for each document

Permissions

  • GoodsReceiving:Read

For more information on authenticating to LS One APIs, see Authentication.

Request

curl -X 'POST' \
		'https://lsoneapi.lsretail.com/api/inventory/goods-receiving/search?page=1&pageSize=50' \
		-H 'accept: text/plain' \
		-H 'Authorization: Bearer {authorization_token}' \
		-H 'Content-Type: application/json' \
		-d '{
		"vendorID": "0000001"
}'

Response


{
"items": [
	{
		"id": "00000001",
		"goodsReceivingID": "00000001",
		"purchaseOrderID": "00000001",
		"status": 0,
		"vendorID": "0000001",
		"vendorName": "Fashion House",
		"storeID": "S0003",
		"storeName": "Aurora Fashion Store North",
		"description": "Test purchare order",
		"ordered": 0,
		"received": 0,
		"createdDate": "2021-11-12T09:58:32.217",
		"postedDate": "1900-01-01T00:00:00",
		"statusText": "Open",
		"totalQuantity": 0,
		"numberOfLines": 0
	},
	{
		"id": "00000002",
		"goodsReceivingID": "00000002",
		"purchaseOrderID": "00000002",
		"status": 0,
		"vendorID": "0000001",
		"vendorName": "Grocery Barn",
		"storeID": "S0001",
		"storeName": "Aurora Supermarket",
		"description": "Soda PR",
		"ordered": 0,
		"received": 0,
		"createdDate": "2021-11-12T18:26:35.41",
		"postedDate": "1900-01-01T00:00:00",
		"statusText": "Open",
		"totalQuantity": 0,
		"numberOfLines": 0
	},
	...
	],
"totalCount": 10
}

Status codes

Code Text Description
200 Success Success
401 Unauthorized LS One API client did not provide a valid authentication token or it does not have permissions to read goods receiving(s)
404 Not Found No goods receivings found

Create a new goods receiving document

Creates a new goods receiving document.

POST /api/inventory/goods-receiving

To create a new goods receiving, the following fields are required:

  • GoodsReceivingID

  • PurcheseOrderID

  • VendorID

  • StoreID

Permissions

  • GoodsReceiving:Write

For more information on authenticating to LS One APIs, see Authentication.

Request

curl -X 'POST' \
  'https://lsoneapi.lsretail.com/api/inventory/goods-receiving' \
  -H 'accept: text/plain' \
  -H 'Authorization: Bearer {authorization_token}' \
  -H 'Content-Type: application/json' \
  -d '{
		"goodsReceivingID": "00000002",
		"purchaseOrderID": "00000002",
		"vendorID": "0000002",
		"storeID": "S0001"
}'

Response

{
	  "id": "00000002",
	  "goodsReceivingID": "00000002",
	  "purchaseOrderID": "00000002",
	  "status": 0,
	  "vendorID": "0000002",
	  "vendorName": null,
	  "storeID": "S0001",
	  "storeName": null,
	  "description": null,
	  "ordered": 0,
	  "received": 0,
	  "createdDate": "0001-01-01T00:00:00",
	  "postedDate": "0001-01-01T00:00:00",
	  "statusText": "Open",
	  "totalQuantity": 0,
	  "numberOfLines": 0
}

Status codes

Code Text Description
200 Success Success
401 Unauthorized LS One API client did not provide a valid authentication token or it does not have permissions to read goods receiving(s)
400 Bad Request New goods receiving could not be created

Update a goods receiving document

Updates an existing goods receiving document.

PUT /api/inventory/goods-receiving

To update an existing goods receiving, the following fields are required:

  • ID

  • GoodsReceivingID

  • PurcheseOrderID

  • VendorID

  • StoreID

Permissions

  • Goods receiving:Write

For more information on authenticating to LS One APIs, see Authentication.

Request

curl -X 'PUT' \
  'https://lsoneapi.lsretail.com/api/inventory/goods-receiving' \
  -H 'accept: text/plain' \
  -H 'Authorization: Bearer {authentication_token}' \
  -H 'Content-Type: application/json' \
  -d '{
	"id": "00000002",
	"goodsReceivingID": "00000002",
	"purchaseOrderID": "00000002",
	"vendorID": "0000002",
	"storeID": "S0003"
}'

Response

{
	"id": "00000002",
	"goodsReceivingID": "00000002",
	"purchaseOrderID": "00000002",
	"status": 0,
	"vendorID": "0000002",
	"vendorName": null,
	"storeID": "S0003",
	"storeName": null,
	"description": null,
	"ordered": 0,
	"received": 0,
	"createdDate": "0001-01-01T00:00:00",
	"postedDate": "0001-01-01T00:00:00",
	"statusText": "Open",
	"totalQuantity": 0,
	"numberOfLines": 0
}

Stats codes

Code Text Description
200 Success Success
401 Unauthorized LS One API client did not provide a valid authentication token or it does not have permissions to write goods receiving(s)
400 Bad Request Goods receiving could not be updated
404 Not Found Goods receiving to be updated was not found

Delete a goods receiving document

Delete an existing goods receivingdocument.

DELETE /api/inventory/goods-receiving/{id}

Permissions

  • GoodsReceiving:Write

For more information on authenticating to LS One APIs, see Authentication.

Request

curl -X 'DELETE' \
  'https://lsoneapi.lsretail.com/api/inventory/goods-receiving/00000002' \
  -H 'accept: text/plain' \
  -H 'Authorization: Bearer {authentication_token}'
Parameter Data type Validation Description
id string

Required

The unique ID of the goods receiving document

Response

HTTP/1.1 204 No Content

Status codes

Code Text Description
200 Success Success
401 Unauthorized LS One API client did not provide a valid authentication token or it does not have permissions to read goods receiving(s)
404 Not Found The requested goods receiving was not found

Get goods receiving line

Returns details of a single goods receiving document line.

GET /api/inventory/goods-receiving/line/{goodsReceivingDocumentID}/{purchaseOrderLineNumber}/{lineNumber}

Permissions

  • GoodsReceiving:Read

For more information on authenticating to LS One APIs, see Authentication.

Request

curl -X 'GET' \
'https://lsoneapi.lsretail.com/api/inventory/goods-receiving/line/00000001/00000001/00000001' \
-H 'accept: text/plain' \
-H 'Authorization: Bearer {authentication_token}'		
Parameter Data type Validation Description
goodsReceivingDocumentID string

Required

The id of the goods receiving document
purchaseOrderLineNumber string

Required

The purchase order line number of the good receiving line
lineNumber string

Required

Line number of the good receiving line

Response

{
    "id": "00000001",
    "goodsReceivingDocumentID": "00000001",
    "purchaseOrderLineNumber": "00000001",
    "lineNumber": "00000001",
    "storeID": "S0003",
    "storeName": "Aurora Fashion Store North",
    "purchaseOrderID": "00000001",
    "receivedQuantity": 15.000000,
    "receivedDate": "2021-11-12T09:58:38.663",
    "posted": false
}		

Status codes

Code Text Description
200 Success Success
401 Unauthorized LS One API client did not provide a valid authentication token or it does not have permissions to read goods receiving line(s)
404 Not Found The requested goods receiving line was not found

 

Get all lines of the goods receiving document

Returns an object that contains a list of goods receivings lines and the total number of records that can be used for pagination.

GET /api/inventory/goods-receiving/{goodsReceivingDocumentId}/line?page={page_number}&pageSize={page_size}

Permissions

  • GoodsReceiving:Read

For more information on authenticating to LS One APIs, see Authentication.

Request

curl -X 'GET' \
  'https://lsoneapi.lsretail.com/api/inventory/goods-receiving/00000001/line?page=1&pageSize=50' \
  -H 'accept: text/plain' \
 -H 'Authorization: Bearer {authentication_token}'
Parameter Data type Validation Description
goodsReceivingDocumentID string

Required

The id of the goods receiving document
page int

-

The page number. Default value = 1.
pageSize int

-

The page size. Default value = 100.

Response

{
"items": [
	{
		"id": "00000001",
		"goodsReceivingDocumentID": "00000001",
		"purchaseOrderLineNumber": "00000001",
		"lineNumber": "00000001",
		"storeID": "S0003",
		"storeName": "Aurora Fashion Store North",
		"purchaseOrderID": "00000001",
		"receivedQuantity": 10.000000,
		"receivedDate": "2021-11-12T09:58:38.663",
		"posted": false
	},
	{
		"id": "00000001",
		"goodsReceivingDocumentID": "00000001",
		"purchaseOrderLineNumber": "00000001",
		"lineNumber": "00000003",
		"storeID": "S0003",
		"storeName": "Aurora Fashion Store North",
		"purchaseOrderID": "00000001",
		"receivedQuantity": 5.000000,
		"receivedDate": "2021-11-12T20:16:35.407",
		"posted": false
	},
	...
	],
"totalCount": 10
}

Status codes

Code Text Description
200 Success Success
401 Unauthorized LS One API client did not provide a valid authentication token or it does not have permissions to read goods receiving lines(s)
404 Not Found No goods receiving lines found

 

Search goods receiving document lines

Returns an object that contains a subset of searched good receiving document lines and the total number of records that can be used for pagination.

POST /api/inventory/goods-receiving/{goodReceivingId}/search?page={page_number}&pageSize={page_size}

Good receiving document lines can be searched using a filter object that has the following properties:

Filter properties

Field Data type Validation Description
documentID string - Search items by goods receiving document id
purchaseOrderID string - Search by the purchase order id of the good receiving document
itemName string[] - Search by item name(s)
variantSearch string[] - Search by variant name(s)
vendorID string - Search items by vendor id
storeID string - Search by the store the good receiving document belongs to
sortBy int -

Sort result items by criteria:

  • 0 - ReceiveDate

  • 1 - ReceiveQuantity

  • 2 - Posted

  • 3 - ItemName

  • 4 - Variant

  • 5 - OrderedQuantity

  • 6 - StoreName

  • 7 - ItemID

posted boolean - Search for items by their posted status
sortBackwards boolean - Sort result items backwards
receivedQuantity decimal - Filter items by received quantity
orderedQuantity decimal - Filter items by ordered quantity
receivedFrom DateTime - Search goods receiving document lines that where received starting from given value
receivedTo DateTime - Search goods receiving document lines that where received until given value

Permissions

  • GoodsReceiving:Read

For more information on authenticating to LS One APIs, see Authentication.

Request

curl -X 'POST' \
		'https://lsoneapi.lsretail.com/api/inventory/goods-receiving/00000001/search?page=1&pageSize=50' \
		-H 'accept: text/plain' \
		-H 'Authorization: Bearer {authorization_token}' \
		-H 'Content-Type: application/json' \
		-d '{
		"receivedQuantity": 10.000000
		}'
Parameter Data type Validation Description
goodsReceivingDocumentID string

Required

The id of the goods receiving document
page int

-

The page number. Default value = 1.
pageSize int

-

The page size. Default value = 100.

Response

{
	"items": [
	{
		"id": "00000001",
		"goodsReceivingDocumentID": "00000001",
		"purchaseOrderLineNumber": "00000001",
		"lineNumber": "00000001",
		"storeID": "S0003",
		"storeName": "Aurora Fashion Store North",
		"purchaseOrderID": "00000001",
		"receivedQuantity": 10.000000,
		"receivedDate": "2021-11-12T09:58:38.663",
		"posted": false
	},
	{
		"id": "00000001",
		"goodsReceivingDocumentID": "00000001",
		"purchaseOrderLineNumber": "00000001",
		"lineNumber": "00000003",
		"storeID": "S0003",
		"storeName": "Aurora Fashion Store North",
		"purchaseOrderID": "00000001",
		"receivedQuantity": 5.000000,
		"receivedDate": "2021-11-12T20:16:35.407",
		"posted": false
	},
	...
	],
"totalCount": 10
}

Status codes

Code Text Description
200 Success Success
401 Unauthorized LS One API client did not provide a valid authentication token or it does not have permissions to read goods receiving lines(s)
404 Not Found No goods receiving lines found

 

Create a new goods receiving document line

Creates a new goods receiving document line.

POST /api/inventory/goods-receiving/{goodsReceivingDocumentId}/line

To create a new goods receiving, the following fields are required:

  • GoodsReceivingDocumentID

  • PurcheseOrderLineNumber

  • PurchaseOrderID

  • StoreID

  • ReceivedDate

Permissions

  • GoodsReceiving:Write

For more information on authenticating to LS One APIs, see Authentication.

Request

curl -X 'POST' \
  'https://lsoneapi.lsretail.com/api/inventory/goods-receiving/00000001/line' \
  -H 'accept: text/plain' \
  -H 'Authorization: Bearer {authorization_token}' \
  -H 'Content-Type: application/json' \
  -d '{
		"purchaseOrderID": "00000001",
		"goodsReceivingDocumentID": "00000001",
		"purchaseOrderLineNumber": "00000001",
		"receivedDate": "2021-11-12",
		"storeID": "S0003",
		"receivedQuantity": 5
}'
Parameter Data type Validation Description
goodsReceivingDocumentID string

Required

The id of the goods receiving document

Response

{
	  "id": "00000001",
	  "goodsReceivingDocumentID": "00000001",
	  "purchaseOrderLineNumber": "00000001",
	  "lineNumber": "0-00000013",
	  "storeID": "S0003",
	  "storeName": null,
	  "purchaseOrderID": "00000001",
	  "receivedQuantity": 5,
	  "receivedDate": "2021-11-12T00:00:00",
	  "posted": false
}

Status codes

Code Text Description
200 Success Success
401 Unauthorized LS One API client did not provide a valid authentication token or it does not have permissions to write goods receiving line(s)
400 Bad Request New goods receiving line could not be created

 

Update a goods receiving document line

Updates an existing goods receiving document line.

PUT /api/inventory/goods-receiving/{goodsReceivingDocumentId}/line

To update an existing goods receiving, the following fields are required:

  • GoodsReceivingDocumentID

  • LineNumber

  • PurchaseOrderLineNumber

  • PurcheseOrderID

  • StoreID

  • ReceivedDate

Permissions

  • GoodsReceiving:Write

For more information on authenticating to LS One APIs, see Authentication.

Request

curl -X 'PUT' \
  'https://lsoneapi.lsretail.com/api/inventory/goods-receiving/00000001/line' \
  -H 'accept: text/plain' \
  -H 'Authorization: Bearer {authentication_token}' \
  -H 'Content-Type: application/json' \
  -d '{
		"goodsReceivingDocumentID": "00000001",
		"purchaseOrderLineNumber": "00000001",
		"lineNumber": "0-00000015",
		"storeID": "S0003",
		"purchaseOrderID": "00000001",
		"receivedQuantity": 2,
		"receivedDate": "2021-11-10"
}'
Parameter Data type Validation Description
goodsReceivingDocumentID string

Required

The id of the goods receiving document

Response

{
	  "id": "00000001",
	  "goodsReceivingDocumentID": "00000001",
	  "purchaseOrderLineNumber": "00000001",
	  "lineNumber": "0-00000015",
	  "storeID": "S0003",
	  "storeName": null,
	  "purchaseOrderID": "00000001",
	  "receivedQuantity": 2,
	  "receivedDate": "2021-11-10T00:00:00",
	  "posted": false
	}

Status codes

Code Text Description
200 Success Success
401 Unauthorized LS One API client did not provide a valid authentication token or it does not have permissions to write goods receiving line(s)
400 Bad Request Goods receiving line could not be updated
404 Not Found Goods receiving line to be updated was not found

 

Delete a goods receiving document line

Delete an existing goods receivingline.

DELETE /api/inventory/goods-receiving/line/{goodsReceivingDocumentID}/{purchaseOrderLineNumber}/{lineNumber}

Permissions

  • GoodsReceiving:Write

For more information on authenticating to LS One APIs, see Authentication.

Request

curl -X 'DELETE' \
  'https://lsoneapi.lsretail.com/api/inventory/goods-receiving/line/00000001/00000001/0-00000013' \
  -H 'accept: text/plain' \
  -H 'Authorization: Bearer {authentication_token}'
Parameter Data type Validation Description
goodsReceivingDocumentID string

Required

The id of the goods receiving document
purchaseOrderLineNumber string

Required

The purchase order line number of the good receiving line
lineNumber string

Required

Line number of the good receiving line

Response

HTTP/1.1 204 No Content

Status codes

Code Text Description
200 Success Success
401 Unauthorized LS One API client did not provide a valid authentication token or it does not have permissions to read goods receiving line(s)
404 Not Found The requested goods receiving line was not found

 

Post all lines for a goods receiving document

Post all lines for a goods receiving document.

POST /api/inventory/goods-receiving/line/post-grdl?goodsReceivingDocumentID=00000001'

Permissions

  • GoodsReceiving:Write

For more information on authenticating to LS One APIs, see Authentication.

Request

curl -X 'POST' \
  'https://lsoneapi.lsretail.com/api/inventory/goods-receiving/line/post-grd' \
  -H 'accept: text/plain' \
  -H 'Authorization: Bearer {authorization_token}' \
  -H 'Content-Type: application/json' \
  -d '{}'

Response

{
	0
}

Response codes

Code Description
0 Success
1 Missing unit conversion
2 Invalid receiving quantity
3 No lines to post
4 Already processing
5 Already posted
6 Error

Status codes

Code Text Description
200 Success Success
401 Unauthorized LS One API client did not provide a valid authentication token or it does not have permissions to write goods receiving line(s)
400 Bad Request All goods receiving lines for document could not be posted

Post a line for a goods receiving document

Post a line for a goods receiving document.

POST /api/inventory/goods-receiving/line/post-grdl?goodsReceivingDocumentID=00000001&purchaseOrderLineNumber=00000001&lineNumber=0-00000016'

Permissions

  • GoodsReceiving:Write

For more information on authenticating to LS One APIs, see Authentication.

Request

curl -X 'POST' \
  'https://lsoneapi.lsretail.com/api/inventory/goods-receiving/line/post-grdl' \
  -H 'accept: text/plain' \
  -H 'Authorization: Bearer {authorization_token}' \
  -H 'Content-Type: application/json' \
  -d '{}'

Response

{
	0
}

Response codes

Code Description
0 Success
1 Missing unit conversion
2 Invalid receiving quantity
3 No lines to post
4 Already processing
5 Already posted
6 Error

Status codes

Code Text Description
200 Success Success
401 Unauthorized LS One API client did not provide a valid authentication token or it does not have permissions to write goods receiving line(s)
400 Bad Request Goods receiving line could not be posted